html,
body {
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

img {
    user-select: none;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(128, 128, 128, 0.5);
    border-radius: 20px;
    border: 3px solid rgba(128, 128, 128, 0.5);
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}  

#search-div {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.8);
    width: 90vw;
    height: 7vh;
    bottom: 6vh;
    left: 50%;
    transform: translateX(-50%);
    border: 1px solid black;
    border-radius: 100vh;
    display: flex;
    align-items: center;
    z-index: 2;
}

#chat-div {
    position: absolute;
    width: 40vh;
    max-height: 50vh;
    height: fit-content;
    bottom: 21vh;
    left: 5vw;
    padding: 0px;
    overflow-y: scroll;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
}

#chat-div-close-button {
    position: absolute;
    background-color: rgba(255, 0, 0, 0.5);
    width: 5vh;
    height: 5vh;
    border-radius: 1.5vh;
    bottom: 15vh;
    left: 5vw;
}

#chat-div-close-open-button {
    width: 3vh;
    height: 3vh;
    padding: 0;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3vh;
}

#search-div-mic-icon {
    margin-right: 1vh;
}

.chat-message-div {
    background-color: rgba(255, 255, 255, 0.5);
    width: 36vh;
    height: 5vh;
    margin-top: 1vh;
    margin-bottom: 1vh;
    padding: 1vh;
    border-radius: 2vh;
    font-family: Arial, Helvetica, sans-serif;
    height: auto;
}

.chat-message-p {
    padding: 0;
    margin: 0;
    height: auto;
    width: auto;
}

#chat-button {
    padding-left: 2vh;
}

.invert-colors {
    filter: invert(1);
}

.turn-white-red {
    filter: grayscale(100%) brightness(40%) sepia(100%) hue-rotate(-50deg) saturate(600%) contrast(0.8);
}

#search-div-phone-icon {
    padding-right: 1vh;
    filter: invert(1);
}

#search-input-div {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 2vh;
    margin-left: 2vh;
}

#search-input {
    width: 100%;
    height: 100%;
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 3vh;
}

.search-div-icon {
    height: 5vh;
    width: 5vh;
}

.spacer {
    width: 100%;
}

#copyright-paragraph {
    position: absolute;
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0;
    bottom: 1vh;
    right: 1vh;
    color: white;
    font-size: 3vh;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    -webkit-text-stroke: 1px black;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    z-index: 1000;
}

#mn-copyright-logo {
    padding-left: 0.3vh;
    width: 3.5vh;
    height: 3.5vh;
    z-index: 1000;
}

#customLoadingScreenDiv {
    position: absolute;
    background-color: black;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 3;
}


#title {
    margin-top: 0;
    font-weight: bolder;
    font-family: Arial, Helvetica, sans-serif;
    color: yellow;
}

#detection-button {
    padding: 0;
    margin: 0;
    width: 100vw;
    height: 100vw;
    background-color: transparent;
    border: none;
    position: absolute;
    right: 0;
    bottom: 0;
}

#phone-button {
    top: 0.5vh;
    right: 0.7vh;
}

#left-view-button {
    top: 0.5vh;
    left: .7vh;
}

#front-view-button {
    top: 0.5vh;
    left: 5.9vh;
}

#right-view-button {
    top: 0.5vh;
    left: 11.1vh;
}

.top-bar-button {
    font-size: 1.5em;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: white;
    height: 4.5vh;
    width: 4.5vh;
    border-radius: 1vh;
    position: absolute;
    padding: 0.4vh;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
/* 
#chat-button {
    font-size: 1.5em;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: black;
    height: 4.5vh;
    width: 4.5vh;
    border-radius: 1vh;
    position: absolute;
    padding: 0.4vh;
    top: 0.5vh;
    left: 0.7vh;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
} */

#reset-character-button {
    font-size: 1.5em;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: black;
    height: 4.5vh;
    width: 4.5vh;
    border-radius: 1vh;
    position: absolute;
    padding: 0.4vh;
    top: 0.5vh;
    right: 5.9vh;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#pointer-mode-button {
    width: 22vh;
}

#exit-pointer-mode-button {
    font-size: 1.5em;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: black;
    height: 4.5vh;
    width: 18vh;
    border-radius: 1vh;
    position: absolute;
    padding: 0.4vh;
    top: 0.5vh;
    right: 11vh;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    visibility: hidden;
}

#exit-pointer-mode-text {
    height: 100%;
    width: 100%;
    font-size: 2vh;
    color: white;
    margin: 0;
    margin-top: 0.7vh;
    text-align: center;
}

#phone-div {
    background-color: rgba(0, 0, 0, 0.5);
    color: black;
    height: 75vh;
    width: 37.5vh;
    border-radius: 3vh;
    border: 3vh solid black;
    position: absolute;
    padding-top: 3px;
    top: -100vh;
    right: 1%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#order-page-div {
    background-color: rgba(0, 0, 0, 0.5);
    color: black;
    height: 75vh;
    width: 75vw;
    border-radius: 3vh;
    border: 3vh solid black;
    border-bottom: 6vh solid black;
    position: absolute;
    padding-top: 3px;
    top: 160%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#order-page-iframe {
    width: 100%;
    height: 100%;
}

#tablet-power-off-image {
    position: absolute;
    height: 4.5vh;
    width: 4.5vh;
    top: 78.6vh;
    left: 50%;
    padding: 0;
    margin: 0;
    transform: translate(-50%, -50%);
    background-color: transparent;
}

#phone-topbar {
    width: 100%;
    height: 5%;
    display: flex;
}

#phone-time-text {
    vertical-align: middle;
    margin: 0;
    margin-left: 2%;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2.2vh;
    color: white;
}

#tablet-div {
    background-color: rgba(0, 0, 0, 0.5);
    color: black;
    height: 75vh;
    width: 75vh;
    border-radius: 3vh;
    border: 3vh solid black;
    position: absolute;
    padding: 3px;
    top: 1vh;
    right: 1%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#first-phone-topbar-icon {
    margin-left: 12vh;
}

#chat-phone-app {
    height: 93.7%;
    padding: 0;
}

#chat-phone-app-iframe {
    width: 100%;
    height: 100%;
    background-color: white;
    border: none;
    margin: 0;
    margin-top: 1vh;
    padding: 0;
}

#scan-phone-app {
    padding-top: 7vh;
}

#scan-app-title {
    margin: 0;
    font-size: 4vh;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: white;
}

#scan-app-scanned-display {
    margin: 0;
    font-size: 3vh;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: white;
    -webkit-text-stroke: 1px black;
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    padding: 0;
}

#scanner-image-div {
    margin: 0;
    margin-left: 1.23vh;
    height: 35vh;
    width: 35vh;
    position: relative;
    text-align: center;
}

#scanner-image {
    margin: 0;
    padding: 0;
    width: 100%;
    display: block;
}

#scanner-dot {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    padding: 0;
    height: 4vh;
    width: 4vh;
    background-color: rgba(255, 0, 0, 0.5);
    border-radius: 50%;
}

#settings-phone-app {
    padding-top: 3vh;
}

#paint-phone-app {
    padding-top: 23vh;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    width: 100%;
    height: 50%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#settings-app-title {
    margin: 0;
    font-size: 4vh;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: white;
}

#paint-app-title {
    margin: 0;
    font-size: 4vh;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: white;
}

#phone-home-button-div {
    position: absolute;
    top: 4.5vh;
    left: 50%;
    transform: translate(-50%, -98%);
    margin: 0;
    padding: 0;
    height: 4vh;
    width: 4vh;
    background-color: white;
    border-radius: 50%;
    justify-content: center;
    display: flex;
    align-items: center;
}

#home-button-image {
    width: 95%;
    height: 95%;
}

#order-button {
    margin-top: 5vh;
}

.filter-invert-colors {
    filter: invert(100%);
}

.phone-color-picker {
    width: 80%;
    height: 3vh;
    border-radius: 1vh;
    border: 0.1vh solid white;
    margin-top: 1vh;
}

.phone-settings-button {
    margin: 0;
    border: none;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 2vh;
    margin-top: 2vh;
    padding-top: 0.65vh;
    text-align: center;
    width: 28vh;
    height: 5vh;
}

.phone-settings-button-text {
    margin: 0;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 3vh;
    color: white;
    width: 100%;
    height: 100%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.filler {
    flex-grow: 1;
}

.settings-menu-page {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.phone-settings-menu-back-button {
    margin-bottom: 10vh;
}

.phone-settings-slider-div {
    border: none;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 2vh;
    text-align: center;
    margin-top: 2vh;
    padding-top: 0.4vh;
    text-align: center;
    width: 28vh;
    height: 6.75vh;
}

.phone-settings-slider-div-text {
    width: 100%;
    height: 2vh;
    margin: 0;
    padding: 0;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2.5vh;
    color: white;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.phone-slider {
    width: 80%;
    height: 4vh;
}


.phone-app {
    height: 90%;
    width: 100%;
}

.phone-topbar-icon {
    margin-left: 1vh;
    width: 3vh;
    height: 3vh;
}

.top-icon {
    width: 100%;
    height: 100%;
}

.phone-app-div {
    width: 100%;
    height: 15vh;
}

.phone-app-image {
    margin: 2.5%;
    width: 95%;
    height: 11.510675vh;

}

.phone-app-table-item {
    line-height: 0;
    padding: 0;
}

.phone-app-name {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    height: 4vh;
    margin: 0;
    margin-top: 1.5vh;
    padding: 0;
    font-weight: bold;
    font-size: 2vh;
    color: white;
}

/* .loader {
    position: absolute;
    border: 2vh solid #f3f3f300;
    border-radius: 50%;
    width: 50vh;
    height: 50vh;
    animation: spin 2s linear infinite;
} three rgb dots loader */

.loader {
    position: absolute;
    border: 2vh solid #f3f3f300;
    border-top: 2vh solid #ffffff;
    border-radius: 50%;
    width: 25vh;
    height: 25vh;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.loader-circle {
    stroke-dasharray: 251;
    stroke-dashoffset: 251;
    animation: dash 2s linear infinite;
}

@keyframes dash {
    to {
        stroke-dashoffset: 0;
    }
}

#loading-mn-logo {
    width: 20vh;
    height: 20vh;
}

#renderCanvas {
    width: 100%;
    height: 100%;
    touch-action: none;
}